Bug 1417520 - [abrt] gnome-shell: dri2_initialize_drm(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: dri2_initialize_drm(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:52507a014dcb8b0cbc7108e1a45...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 03:48 UTC by Ashish Bhurtel
Modified: 2017-12-12 10:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:37:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (38.84 KB, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: cgroup (240 bytes, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: core_backtrace (5.37 KB, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: dso_list (15.26 KB, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: environ (1.12 KB, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: maps (70.57 KB, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: mountinfo (3.76 KB, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: open_fds (620 bytes, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details
File: var_log_messages (318 bytes, text/plain)
2017-01-30 03:48 UTC, Ashish Bhurtel
no flags Details

Description Ashish Bhurtel 2017-01-30 03:48:09 UTC
Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: dri2_initialize_drm
executable:     /usr/bin/gnome-shell
global_pid:     1373
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       unknown
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dri2_initialize_drm at drivers/dri2/platform_drm.c:669
 #1 dri2_initialize at drivers/dri2/egl_dri2.c:808
 #2 _eglMatchAndInitialize at main/egldriver.c:261
 #3 _eglMatchDriver at main/egldriver.c:292
 #4 eglInitialize at main/eglapi.c:480
 #5 _cogl_winsys_egl_renderer_connect_common at winsys/cogl-winsys-egl.c:204
 #6 meta_renderer_native_connect at backends/native/meta-renderer-native.c:300
 #7 connect_custom_winsys at cogl-renderer.c:574
 #8 cogl_renderer_connect at cogl-renderer.c:613
 #9 clutter_backend_do_real_create_context at clutter-backend.c:247

Comment 1 Ashish Bhurtel 2017-01-30 03:48:13 UTC
Created attachment 1245738 [details]
File: backtrace

Comment 2 Ashish Bhurtel 2017-01-30 03:48:14 UTC
Created attachment 1245739 [details]
File: cgroup

Comment 3 Ashish Bhurtel 2017-01-30 03:48:15 UTC
Created attachment 1245740 [details]
File: core_backtrace

Comment 4 Ashish Bhurtel 2017-01-30 03:48:16 UTC
Created attachment 1245741 [details]
File: dso_list

Comment 5 Ashish Bhurtel 2017-01-30 03:48:18 UTC
Created attachment 1245742 [details]
File: environ

Comment 6 Ashish Bhurtel 2017-01-30 03:48:19 UTC
Created attachment 1245743 [details]
File: exploitable

Comment 7 Ashish Bhurtel 2017-01-30 03:48:19 UTC
Created attachment 1245744 [details]
File: limits

Comment 8 Ashish Bhurtel 2017-01-30 03:48:21 UTC
Created attachment 1245745 [details]
File: maps

Comment 9 Ashish Bhurtel 2017-01-30 03:48:22 UTC
Created attachment 1245746 [details]
File: mountinfo

Comment 10 Ashish Bhurtel 2017-01-30 03:48:23 UTC
Created attachment 1245747 [details]
File: namespaces

Comment 11 Ashish Bhurtel 2017-01-30 03:48:24 UTC
Created attachment 1245748 [details]
File: open_fds

Comment 12 Ashish Bhurtel 2017-01-30 03:48:25 UTC
Created attachment 1245749 [details]
File: proc_pid_status

Comment 13 Ashish Bhurtel 2017-01-30 03:48:26 UTC
Created attachment 1245750 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:33:22 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:37:02 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.